Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Tek-Tips community for having the most helpful posts in the forums last week. Way to Go!

multiple iso views 3

Status
Not open for further replies.

borsht

Mechanical
Oct 9, 2002
262
0
0
US
I once found in a tip/trick for making multiple isoviews in the view orientation box. Does anyone have this proceedure? It's setes up the box so you can quickly get the right front, right rear, left front, and left rear isometric views while your working on a part or assembly.
 
Replies continue below

Recommended for you

Orient the part the way you want to see it. Create a new view named "Notsometric" or whatever. You can use this in drawings as well as in models. If this is a common view add it to your templates.
I have a view defined in my drwaing template called "TitleBlockOnly" I have a macro button assigned to this. Guess what it does?

Crashj 'doh' Johnson
 
If you have lost that handy macro, you can set up alternate true ISO views manually. Remember that in a standard ISO view, the 'front' is lower left. So:
1) Choose the face you want to be at the lower left
of your new ISO view
2) Set your screen view normal to that face
3) Bring up your 'view orientation' dialogue
4) Update your Front view to be the current view.
5) Switch to the ISO view.
6) Create a new view with an appropriate name.
7) You can now reset the standard views and Solidworks
will still remember how to display the new ISO
I know it sounds complicated, but it goes quickly once you know what you are going for.
 
You can divide the graphics window into 4 view sections by dragging a vertical and a horizontal divider from the side and top of the window. Clicking in each resulting section makes that section the active window. You can then set the view and magnification to what ever you want and it will stay that way while you are working in another window. I usually make the window that I'm working-in much larger than the other three, for convenience, by moving the divider lines back and forth, up and down as necessary.

A Related Side Note: There is a standard views toolbar that both changes view and magnifies to extents from a single button click. Check it out <View><toolbars>
 
Try this -
Set model to standard *isometric view then hold down the shift key and press one of the arrow keys. This will rotate your view of the part 90 degrees.

-Caper-
 
Here is a modified version of that Macro. It creates all 8 Isometric Views.

' *********************************************************
' ISOViews - macro recorded on 12/20/01 by Mike J. Wilson
' *********************************************************
' Special thanks to Dennis Kelley and Dan Hanger for tips
' Modified to include all 8 Iso Views by Lee Bell

Dim swApp As Object
Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long
Dim Annotation As Object
Dim Gtol As Object
Dim DatumTag As Object
Dim FeatureData As Object
Dim Feature As Object
Dim Component As Object

Sub main()

Set swApp = CreateObject(&quot;SldWorks.Application&quot;)
Set Part = swApp.ActiveDoc

pi = 4 * Atn(1)
Z = Tan(30 * pi / 180)
X = Atn(Z / Sqr(-Z * Z + 1))
Y = -45 * pi / 180

Part.DeleteNamedView (&quot;TRF-ISO&quot;)
Part.DeleteNamedView (&quot;TRR-ISO&quot;)
Part.DeleteNamedView (&quot;TLF-ISO&quot;)
Part.DeleteNamedView (&quot;TLR-ISO&quot;)

Part.DeleteNamedView (&quot;BRF-ISO&quot;)
Part.DeleteNamedView (&quot;BRR-ISO&quot;)
Part.DeleteNamedView (&quot;BLF-ISO&quot;)
Part.DeleteNamedView (&quot;BLR-ISO&quot;)


Part.ShowNamedView2 &quot;*Front&quot;, -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit
Part.NameView (&quot;TRF-ISO&quot;)

Part.ShowNamedView2 &quot;*Right&quot;, -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit
Part.NameView (&quot;TRR-ISO&quot;)

Part.ShowNamedView2 &quot;*Back&quot;, -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit
Part.NameView (&quot;TLR-ISO&quot;)

Part.ShowNamedView2 &quot;*Left&quot;, -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit
Part.NameView (&quot;TLF-ISO&quot;)


Part.ShowNamedView2 &quot;*Front&quot;, -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit
Part.NameView (&quot;BRF-ISO&quot;)

Part.ShowNamedView2 &quot;*Right&quot;, -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit
Part.NameView (&quot;BRR-ISO&quot;)

Part.ShowNamedView2 &quot;*Back&quot;, -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit
Part.NameView (&quot;BLR-ISO&quot;)

Part.ShowNamedView2 &quot;*Left&quot;, -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit
Part.NameView (&quot;BLF-ISO&quot;)


Set Part = Nothing
Set swApp = Nothing

End Sub

Lee
 
I am trying to create isometric views of a part from different directions (showing the front and back) to display in a drawing. I have followed some of the tips in this thread and am able to create various iso views in the model, but when I switch to the drawing the custom created views do not show as options. Is there an easy way to carry these views over to the drawing, or create them while in the drawing?
 
bschafer,
The answer is yes; “SolidWorks help” explains it very well.
Go to the SolidWorks help, search for orientation. Read that. Once you have a named view you can insert it in a drawing.
Bradley
 
bschafer [wavey]

How are you creating your views in the drawing? You will only be able to change the View’s Orientation if you Do Not accept the current view when the view is created.

Random_Shapes_Pointed_shapes_prv.gif
Lee
Random_Shapes_Pointed_shapes_prv.gif


WRINKLED was NOT one of the things I wanted to be when I grew up!
 
StarrRider, thanks for the advice. The problem I was running into was that I was trying to orient an existing view to an iso view that I had just created in the model. When I tried, it only gave me the standard views as options. I ended up deleting that view and reinserting it. When I did that, it gave me the option for the views I had created.
 
Status
Not open for further replies.
Back
Top